from main import stinker, htp
from datetime import datetime
import pytz, json

tz = pytz.timezone('Europe/Sofia')
date = datetime.now(tz).strftime("%x")
specific_time = datetime.now(tz).strftime("%H:%M:%S")

def get_data():
    data = htp()
    data["air_pollution"] = stinker()
    data["time"] = specific_time
    return data

def daily_data():
    data = get_data()
    with open("api/daily.json", "r+") as f:
        f_data = json.load(f)
        f_data[date] = data
        f.seek(0)
        json.dump(f_data, f, indent=4)
        f.close()


def manual_data():
    data = get_data()
    data["time"] = date
    with open("api/all.json", "r+") as f:
        f_data = json.load(f)
        f_data[specific_time] = data
        f.seek(0)
        json.dump(f_data, f, indent=4)
        f.close()

manual_data()